# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1163  -> 1.1164 
#	arch/i386/kernel/smpboot.c	1.16    -> 1.17   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 04/01/09	len.brown@intel.com	1.1164
# [ACPI] fix smpboot.c mis-merge
# http://bugzilla.kernel.org/show_bug.cgi?id=1706
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/smpboot.c b/arch/i386/kernel/smpboot.c
--- a/arch/i386/kernel/smpboot.c	Fri Jan  9 02:43:07 2004
+++ b/arch/i386/kernel/smpboot.c	Fri Jan  9 02:43:07 2004
@@ -1106,7 +1106,7 @@
 	 */
 	Dprintk("CPU present map: %lx\n", phys_cpu_present_map);
 
-	for (bit = 0; bit < MAX_APICS; bit++) {
+	for (bit = 0; bit < BITS_PER_LONG; bit++) {
 		apicid = cpu_present_to_apicid(bit);
 		/*
 		 * Don't even attempt to start the boot CPU!
